Index: /NEMO/trunk/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_ncar_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_ncar_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_ncar_cfg	(revision 14229)
@@ -251,5 +251,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -257,5 +257,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_andreas_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_andreas_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_andreas_cfg	(revision 14229)
@@ -251,5 +251,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -257,5 +257,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_coare3p6_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_coare3p6_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_coare3p6_cfg	(revision 14229)
@@ -251,5 +251,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -257,5 +257,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ecmwf_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ecmwf_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ecmwf_cfg	(revision 14229)
@@ -251,5 +251,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -257,5 +257,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ncar_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ncar_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ncar_cfg	(revision 14229)
@@ -251,5 +251,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -257,5 +257,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 14229)
@@ -46,5 +46,5 @@
    CHARACTER(lc) ::   cform_aaa="( /, 'AAAAAAAA', / ) "     ! flag for output listing
 
-#if defined key_mpp_mpi
+#if ! defined key_mpi_off
    ! need MPI_Wtime
    INCLUDE 'mpif.h'
Index: /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_andreas_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_andreas_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_andreas_cfg	(revision 14229)
@@ -256,5 +256,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -262,5 +262,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p0_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p0_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p0_cfg	(revision 14229)
@@ -256,5 +256,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -262,5 +262,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p6_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p6_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p6_cfg	(revision 14229)
@@ -256,5 +256,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -262,5 +262,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ecmwf_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ecmwf_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ecmwf_cfg	(revision 14229)
@@ -256,5 +256,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -262,5 +262,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ncar_cfg
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ncar_cfg	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ncar_cfg	(revision 14229)
@@ -256,5 +256,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -262,5 +262,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/STATION_ASF/cpp_STATION_ASF.fcm
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 14228)
+++ /NEMO/trunk/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 14229)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_si3 key_c1d key_qco key_iomput key_mpp_mpi
+ bld::tool::fppkeys   key_si3 key_c1d key_qco key_iomput
Index: /NEMO/trunk/tests/SWG/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/SWG/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/tests/SWG/EXPREF/namelist_cfg	(revision 14229)
@@ -224,5 +224,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -231,5 +231,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/SWG/cpp_SWG.fcm
===================================================================
--- /NEMO/trunk/tests/SWG/cpp_SWG.fcm	(revision 14228)
+++ /NEMO/trunk/tests/SWG/cpp_SWG.fcm	(revision 14229)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys  key_mpp_mpi key_iomput key_qco key_RK3
+bld::tool::fppkeys key_iomput key_qco key_RK3
Index: /NEMO/trunk/tests/TSUNAMI/cpp_TSUNAMI.fcm
===================================================================
--- /NEMO/trunk/tests/TSUNAMI/cpp_TSUNAMI.fcm	(revision 14228)
+++ /NEMO/trunk/tests/TSUNAMI/cpp_TSUNAMI.fcm	(revision 14229)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_mpp_mpi key_qco key_iomput
+ bld::tool::fppkeys key_qco key_iomput
Index: /NEMO/trunk/tests/VORTEX/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/trunk/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 14228)
+++ /NEMO/trunk/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 14229)
@@ -284,5 +284,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -290,5 +290,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/VORTEX/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/VORTEX/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/tests/VORTEX/EXPREF/namelist_cfg	(revision 14229)
@@ -277,5 +277,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -283,5 +283,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm
===================================================================
--- /NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm	(revision 14228)
+++ /NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm	(revision 14229)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_mpp_mpi key_agrif key_qco 
+ bld::tool::fppkeys key_iomput key_agrif key_qco 
Index: /NEMO/trunk/tests/WAD/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/WAD/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/tests/WAD/EXPREF/namelist_cfg	(revision 14229)
@@ -456,5 +456,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -462,5 +462,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/tests/WAD/cpp_WAD.fcm
===================================================================
--- /NEMO/trunk/tests/WAD/cpp_WAD.fcm	(revision 14228)
+++ /NEMO/trunk/tests/WAD/cpp_WAD.fcm	(revision 14229)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput key_mpp_mpi key_qco 
+ bld::tool::fppkeys   key_iomput key_qco 
